Source: haskell-aeson-compat
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Clint Adams <clint@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8.4.3),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-aeson-dev (>= 0.7.0.6),
 libghc-aeson-dev (<< 1.6),
 libghc-aeson-prof (>= 0.7.0.6),
 libghc-aeson-prof (<< 1.6),
 libghc-attoparsec-dev (>= 0.12),
 libghc-attoparsec-dev (<< 0.14),
 libghc-attoparsec-prof (>= 0.12),
 libghc-attoparsec-prof (<< 0.14),
 libghc-attoparsec-iso8601-dev (>= 1.0.0.0),
 libghc-attoparsec-iso8601-dev (<< 1.1),
 libghc-attoparsec-iso8601-prof (>= 1.0.0.0),
 libghc-attoparsec-iso8601-prof (<< 1.1),
 libghc-base-compat-dev (>= 0.6.0),
 libghc-base-compat-dev (<< 0.12),
 libghc-base-compat-prof (>= 0.6.0),
 libghc-base-compat-prof (<< 0.12),
 libghc-exceptions-dev (>= 0.8),
 libghc-exceptions-dev (<< 0.11),
 libghc-exceptions-prof (>= 0.8),
 libghc-exceptions-prof (<< 0.11),
 libghc-hashable-dev (>= 1.2),
 libghc-hashable-dev (<< 1.4),
 libghc-hashable-prof (>= 1.2),
 libghc-hashable-prof (<< 1.4),
 libghc-scientific-dev (>= 0.3),
 libghc-scientific-dev (<< 0.4),
 libghc-scientific-prof (>= 0.3),
 libghc-scientific-prof (<< 0.4),
 libghc-tagged-dev (>= 0.7.3),
 libghc-tagged-dev (<< 0.9),
 libghc-tagged-prof (>= 0.7.3),
 libghc-tagged-prof (<< 0.9),
 libghc-time-locale-compat-dev (>= 0.1.0.1),
 libghc-time-locale-compat-dev (<< 0.2),
 libghc-time-locale-compat-prof (>= 0.1.0.1),
 libghc-time-locale-compat-prof (<< 0.2),
 libghc-unordered-containers-dev (>= 0.2),
 libghc-unordered-containers-dev (<< 0.3),
 libghc-unordered-containers-prof (>= 0.2),
 libghc-unordered-containers-prof (<< 0.3),
 libghc-vector-dev (>= 0.10),
 libghc-vector-dev (<< 0.13),
 libghc-vector-prof (>= 0.10),
 libghc-vector-prof (<< 0.13),
 libghc-quickcheck2-dev (>= 2.10),
 libghc-quickcheck2-dev (<< 2.15),
 libghc-quickcheck2-prof (>= 2.10),
 libghc-quickcheck2-prof (<< 2.15),
 libghc-aeson-dev,
 libghc-aeson-prof,
 libghc-attoparsec-dev,
 libghc-attoparsec-prof,
 libghc-base-compat-dev,
 libghc-base-compat-prof,
 libghc-base-orphans-dev (>= 0.4.5),
 libghc-base-orphans-dev (<< 0.9),
 libghc-base-orphans-prof (>= 0.4.5),
 libghc-base-orphans-prof (<< 0.9),
 libghc-exceptions-dev,
 libghc-exceptions-prof,
 libghc-hashable-dev,
 libghc-hashable-prof,
 libghc-quickcheck-instances-dev (>= 0.3.16),
 libghc-quickcheck-instances-dev (<< 0.4),
 libghc-quickcheck-instances-prof (>= 0.3.16),
 libghc-quickcheck-instances-prof (<< 0.4),
 libghc-scientific-dev,
 libghc-scientific-prof,
 libghc-tagged-dev,
 libghc-tagged-prof,
 libghc-tasty-dev (>= 0.10),
 libghc-tasty-dev (<< 1.3),
 libghc-tasty-prof (>= 0.10),
 libghc-tasty-prof (<< 1.3),
 libghc-tasty-hunit-dev (>= 0.9),
 libghc-tasty-hunit-dev (<< 0.11),
 libghc-tasty-hunit-prof (>= 0.9),
 libghc-tasty-hunit-prof (<< 0.11),
 libghc-tasty-quickcheck-dev (>= 0.8),
 libghc-tasty-quickcheck-dev (<< 0.11),
 libghc-tasty-quickcheck-prof (>= 0.8),
 libghc-tasty-quickcheck-prof (<< 0.11),
 libghc-time-locale-compat-dev,
 libghc-time-locale-compat-prof,
 libghc-unordered-containers-dev,
 libghc-unordered-containers-prof,
 libghc-vector-dev,
 libghc-vector-prof,
Build-Depends-Indep: ghc-doc,
 libghc-aeson-doc,
 libghc-attoparsec-doc,
 libghc-attoparsec-iso8601-doc,
 libghc-base-compat-doc,
 libghc-exceptions-doc,
 libghc-hashable-doc,
 libghc-scientific-doc,
 libghc-tagged-doc,
 libghc-time-locale-compat-doc,
 libghc-unordered-containers-doc,
 libghc-vector-doc,
Standards-Version: 4.5.0
Homepage: https://github.com/phadej/aeson-compat#readme
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-aeson-compat]
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-aeson-compat
X-Description: compatibility layer for aeson
 Compatibility layer for aeson
  * decode etc. work as in aeson >=0.9
  * but it is generalised to work in any MonadThrow (that is extra)
  * .:? works as in aeson ||=0.11
  * .:! works as in aeson ||=0.11 and as .:? did in aeson ==0.10.*
  * Orphan instances FromJSON Day and FromJSON LocalTime for aeson <0.10
  * Encoding related functionality is not added. It's present only with aeson >=0.10

Package: libghc-aeson-compat-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-aeson-compat-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-aeson-compat-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
